// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.SourceEditor {
    
    
    internal partial class GotoLineNumberWidget {
        
        private Gtk.HBox hbox1;
        
        private Gtk.Button closeButton;
        
        private Gtk.Image image1;
        
        private Gtk.Label label1;
        
        private Gtk.Entry entryLineNumber;
        
        private Gtk.Button buttonGoToLine;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.SourceEditor.GotoLineNumberWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.SourceEditor.GotoLineNumberWidget";
            // Container child MonoDevelop.SourceEditor.GotoLineNumberWidget.Gtk.Container+ContainerChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.closeButton = new Gtk.Button();
            this.closeButton.CanFocus = true;
            this.closeButton.Name = "closeButton";
            this.closeButton.Relief = ((Gtk.ReliefStyle)(2));
            // Container child closeButton.Gtk.Container+ContainerChild
            this.image1 = new Gtk.Image();
            this.image1.Name = "image1";
            this.image1.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-close", Gtk.IconSize.Menu, 16);
            this.closeButton.Add(this.image1);
            this.closeButton.Label = null;
            this.hbox1.Add(this.closeButton);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.closeButton]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("_Line Number:");
            this.label1.UseUnderline = true;
            this.hbox1.Add(this.label1);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.label1]));
            w3.Position = 1;
            w3.Expand = false;
            w3.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.entryLineNumber = new Gtk.Entry();
            this.entryLineNumber.CanFocus = true;
            this.entryLineNumber.Name = "entryLineNumber";
            this.entryLineNumber.IsEditable = true;
            this.entryLineNumber.InvisibleChar = '●';
            this.hbox1.Add(this.entryLineNumber);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.hbox1[this.entryLineNumber]));
            w4.Position = 2;
            w4.Expand = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.buttonGoToLine = new Gtk.Button();
            this.buttonGoToLine.CanDefault = true;
            this.buttonGoToLine.CanFocus = true;
            this.buttonGoToLine.Name = "buttonGoToLine";
            this.buttonGoToLine.UseUnderline = true;
            this.buttonGoToLine.Relief = ((Gtk.ReliefStyle)(2));
            // Container child buttonGoToLine.Gtk.Container+ContainerChild
            Gtk.Alignment w5 = new Gtk.Alignment(0.5F, 0.5F, 0F, 0F);
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            Gtk.HBox w6 = new Gtk.HBox();
            w6.Spacing = 2;
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Image w7 = new Gtk.Image();
            w7.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-jump-to", Gtk.IconSize.Menu, 16);
            w6.Add(w7);
            // Container child GtkHBox.Gtk.Container+ContainerChild
            Gtk.Label w9 = new Gtk.Label();
            w9.LabelProp = Mono.Unix.Catalog.GetString("_Go to Line");
            w9.UseUnderline = true;
            w6.Add(w9);
            w5.Add(w6);
            this.buttonGoToLine.Add(w5);
            this.hbox1.Add(this.buttonGoToLine);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox1[this.buttonGoToLine]));
            w13.Position = 3;
            w13.Expand = false;
            w13.Fill = false;
            this.Add(this.hbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
